package DB;

import java.io.Serializable;
import javax.persistence.*;

/**
 * The persistent class for the teaches database table.
 * 
 */
@Entity
@Table(name = "teaches")
@NamedQuery(name = "Teach.findAll", query = "SELECT t FROM Teach t")
public class Teach implements Serializable {
  private static final long serialVersionUID = 1L;
  private TeachPK id;

  public Teach() {
  }

  @EmbeddedId
  public TeachPK getId() {
    return this.id;
  }

  public void setId(TeachPK id) {
    this.id = id;
  }

}